Subject: Re: bug#56210: 29.0.50; Keyboard macros do not trigger after-change-functions

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Jun 2022 15:20:54 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Richard Hansen <[email-masked]>,  [email-masked]
> Date: Tue, 28 Jun 2022 13:31:23 +0200
> 
> It's really surprising that with-current-buffer-window does this -- it
> sounds like a general variation on with-selected-window, but it's not:
> It's meant to be used to pop up help buffers, and this should be
> documented.

I didn't write that code, and have no sentiments for it (although I
generally assume that all the temporary buffers disable such hooks for
performance reasons).  I just explained what Richard saw, and it took
me some non-trivial time.

Maybe we should modify with-current-buffer-window to not have such
global effects on the body?